package net.minecraft.src;

import net.lax1dude.eaglercraft.TextureLocation;
import net.lax1dude.eaglercraft.EaglerAdapter;

public class RenderGiantZombie extends RenderLiving
{
    private static final TextureLocation zombieTextures = new TextureLocation("textures/entity/zombie/zombie.png");

    /** Scale of the model to use */
    private float scale;

    public RenderGiantZombie(ModelBase par1ModelBase, float par2, float par3)
    {
        super(par1ModelBase, par2 * par3);
        this.scale = par3;
    }

    /**
     * Applies the scale to the transform matrix
     */
    protected void preRenderScale(EntityGiantZombie par1EntityGiantZombie, float par2)
    {
        EaglerAdapter.glScalef(this.scale, this.scale, this.scale);
    }

    protected TextureLocation getZombieTextures(EntityGiantZombie par1EntityGiantZombie)
    {
        return zombieTextures;
    }

    @Override
    protected void bindTexture(EntityLivingBase par1EntityLiving) {
        zombieTextures.bindTexture();
    }

    /**
     * Allows the render to do any OpenGL state modifications necessary before the model is rendered. Args:
     * entityLiving, partialTickTime
     */
    protected void preRenderCallback(EntityLivingBase par1EntityLivingBase, float par2)
    {
        this.preRenderScale((EntityGiantZombie)par1EntityLivingBase, par2);
    }

    /**
     * Returns the location of an entity's texture. Doesn't seem to be called unless you call Render.bindEntityTexture.
     */
    protected TextureLocation getEntityTexture(Entity par1Entity)
    {
        return this.getZombieTextures((EntityGiantZombie)par1Entity);
    }
}
